#!/bin/sh

. /opt/scripts/headers.sh

START_PORT=`find_free_port $START_PORT`;
RUN_USER=${SIMU_USER}_$START_PORT

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" ];then
	echo "Usage CONF_ID SIMU_DURATINON LOGIN PASSWORD"
	exit 8;
fi

if [ ! -d $SIMU_HOME ];then 
	mkdir $SIMU_HOME; 
	chgrp $SIMU_GROUP $SIMU_HOME; 
	chmod 775 $SIMU_HOME; 
fi;
if [ ! -d $TMP_DIR ];then 
	mkdir $TMP_DIR; 
	chgrp $SIMU_GROUP $TMP_DIR; 
	chmod 775 $TMP_DIR; 
fi;
useradd -g $SIMU_GROUP -d $SIMU_HOME -s $SIMU_SHELL $RUN_USER 
#> /dev/null 2>&1
chgrp -R $SIMU_GROUP $SIMU_HOME/.uml > /dev/null 2>&1
chmod g+rwx -R $SIMU_HOME/.uml > /dev/null 2>&1

echo "STRATUP: Running sudo -u $RUN_USER $STARTUP_PATH $START_PORT $CONF_ID "

/usr/bin/sudo -H -u "$RUN_USER" $STARTUP_PATH $START_PORT $CONF_ID FORE
if [ "$?" -ne 0 ];then
	$SHUTDOWN_PATH 0 $RUN_USER
	echo "DPC!!!!!!!!"
	exit -1
fi;
echo "STRATUP:Running sudo $SHUTDOWN_PATH $SIMU_DURATINON $RUN_USER " 

$CREATE_USERS_PATH &
$SHUTDOWN_PATH 50 $RUN_USER & 

exit 0

