#!/bin/bash

export PREFIX="/opt"
export SCRIPTS_PATH="$PREFIX/scripts";
export TMP_DIR="/tmp/simu"
export STARTUP_PATH="$SCRIPTS_PATH/startup_user.sh"
export CONF_ID=$1
export SIMU_DURATINON=$2
export SIMU_USER=$3
export SIMU_USER_PREFIX="simu"
export SIMU_HOME="$PREFIX/users"
export SIMU_PASSWORD=$4
export SIMU_GROUP=`cat /etc/group | grep '^simu:' | awk -F ':' '{print $3}'`
export SIMU_SHELL="$SCRIPTS_PATH/shell"
export SHUTDOWN_PATH="$SCRIPTS_PATH/shutdown.sh"
export CREATE_USERS_PATH="$SCRIPTS_PATH/create_users.sh"
export TIMEOUT_FOR_PORTS="35"
export USERADDPATH="/usr/sbin/useradd"
export CPU_LIMIT_PATH="/usr/sbin/cpulimit";
export PIX_CPU_LIMIT=15

VDE_PATH="/usr/bin/vde_switch" #path to vde_switch exutable
DEVICE_LIST_FILE="device_list"
UML_PATH="$PREFIX/uml/linux" # path to uml linux exutable
UML_FS_PATH="$PREFIX/uml/root_fs" #
DYNAGEN_WRAPPER_PATH="$SCRIPTS_PATH/dynagen_wrapper"
DYNAGEN_PATH="/opt/dynagen/dynagen"
DYNAGEN_OUTPUT="dynoutput"
DYNAMIPS_PATH="/usr/bin/dynamips"
PEMU_PATH="$PREFIX/dynagen/pemu-start.sh" #pemu path, startup script
IDLEPCTEST_PATH="$PREFIX/idlepctest/test.net";
MYSQL_USER="vlab";
MYSQL_PASS="#VLAB#";
MYSQL_DB="vlab";
START_PORT=7500;
RSWITCH_CFG="$PREFIX/cisco/rswitch.cfg";
PATH="/sbin:/bin:/usr/sbin:/usr/bin:$PATH";


find_free_port() {
	let i=$1;
	while true; do
		if [ "x"`netstat -tnl | tail -n +3 | awk '{print $4}' | grep ":$i"` == "x" ]; then
			break;
		fi
		let i=$i+1;
	done;
	echo $i;
}

find_start_port() {
	let i=$1;
	while true; do
		if [ "x"`netstat -tnl | tail -n +3 | awk '{print $4}' | grep ":$i"` == "x" ]; then
			break;
		fi
		let i=$i+100;
	done;
	echo $i;
}




