#!/bin/sh

. /opt/scripts/headers.sh

START_PORT=`find_start_port $START_PORT`;
RUN_USER=${SIMU_USER}_$START_PORT

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" ];then
	echo "Usage CONF_ID SIMU_DURATINON LOGIN PASSWORD [TEST]"
	exit 8;
fi

if [ ! -d $SIMU_HOME ];then 
	mkdir $SIMU_HOME; 
	chgrp $SIMU_GROUP $SIMU_HOME; 
	chmod 775 $SIMU_HOME; 
fi;
if [ ! -d $TMP_DIR ];then 
	mkdir $TMP_DIR; 
	chgrp $SIMU_GROUP $TMP_DIR; 
	chmod 775 $TMP_DIR; 
fi;

useradd -g $SIMU_GROUP -d $SIMU_HOME -s $SIMU_SHELL $RUN_USER 
#> /dev/null 2>&1
chgrp -R $SIMU_GROUP $SIMU_HOME/.uml > /dev/null 2>&1
chmod g+rwx -R $SIMU_HOME/.uml > /dev/null 2>&1

if [ $5 -a $5 == "TEST" ]; then

	SIMU_DURATINON=60

	echo "STRATUP: Running sudo -u $RUN_USER $STARTUP_PATH $START_PORT $CONF_ID FORE"
	/usr/bin/sudo -H -u "$RUN_USER" $STARTUP_PATH $START_PORT $CONF_ID FORE
	RET=$?
	if [ $RET -ne 0 ];then
		echo "$RET DPC !!!!"
		
		#echo "STRATUP:Running sudo $SHUTDOWN_PATH NOW $RUN_USER " 
		#$SHUTDOWN_PATH 0 $RUN_USER
		#exit -1
	fi;
else
	echo "STRATUP: Running sudo -u $RUN_USER $STARTUP_PATH $START_PORT $CONF_ID"
	/usr/bin/sudo -H -u "$RUN_USER" $STARTUP_PATH $START_PORT $CONF_ID 
fi;

echo "STRATUP: Creating users logins."
$CREATE_USERS_PATH $START_PORT $TMP_DIR/$RUN_USER/$DEVICE_LIST_FILE &

echo "STRATUP:Running sudo $SHUTDOWN_PATH $SIMU_DURATINON $RUN_USER " 
$SHUTDOWN_PATH $SIMU_DURATINON $RUN_USER ${TMP_DIR}/$RUN_USER  $CONF_ID & 

exit $RET

